#ifndef __TEMPEST_TANTRUM_H__
#define __TEMPEST_TANTRUM_H__

#include "potion.h"

class tempest_tantrum final: public potion {
        static const int ATK_MUL = 3;
        inline static const float DEF_MUL = 0.5f;
        inline static const float HP_RD_PERCENTAGE = 0.25f;
        static const int DURATION = 12;
public:
        tempest_tantrum(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
